// Smooth scrolling for anchor links
document.querySelectorAll('a[href^="#"]').forEach(anchor => {
  anchor.addEventListener('click', function (e) {
    e.preventDefault();
    document.querySelector(this.getAttribute('href')).scrollIntoView({
      behavior: 'smooth'
    });
  });
});

// Basic image upload preview
const uploadBox = document.querySelector('.upload-box');
const uploadInput = document.createElement('input');
uploadInput.type = 'file';
uploadInput.multiple = true;
uploadInput.accept = 'image/*,video/*';
uploadInput.style.display = 'none';

uploadBox.addEventListener('click', () => uploadInput.click());

uploadInput.addEventListener('change', (e) => {
  const files = e.target.files;
  if (files.length > 0) {
    uploadBox.innerHTML = `<p>${files.length} files selected</p>`;
  }
});